MP4(3)

NAME

MP4MakeIsmaCompliant - Add ISMA compliant OD and Scene tracks

SYNTAX

#include <mp4.h>

bool MP4MakeIsmaCompliant(
    const char* fileName,
    u_int32_t verbosity = 0
)

ARGUMENTS

fileName
    Specifies the path name of the file to be modified.

verbosity
    Specifies a bitmask of diagnostic details the library should print to stdout during its functioning. See MP4SetVerbosity() for values.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4MakeIsmaCompliant modifies an mp4 file so that it complies with the minimal MPEG-4 Systems requirements defined by the Internet Streaming Media Alliance (ISMA, http://www.isma.tv)

This involves creating an OD and Scene track, and using them to describe a simple scene of one audio, or one video, or one of each. An SDP version of this information is also added to the mp4 file.

Caveat: whether the file is truly ISMA compliant also depends on the contents of the media and hint tracks. This function does not guarantee that these tracks are compliant.

SEE ALSO

MP4(3)